MiKTeX 2.0 News
Copyright (C) 2000 Christian Schenk

NEWS
****

   This is the MiKTeX 2.0 News file.

MiKTeX 2.0 (January 2001)
*************************

New Applications
----------------

   * MiKTeX Options: A graphical front-end to the MiKTeX configuration
     utility (`initexmf').

   * Remove MiKTeX! Wizard: Assists in removing MiKTeX from the
     computer.

   * pdfeTeX 0.14f/2.1: A pdfTeX/e-TeX merger.

Updated Applications
--------------------

   * Dvipdfm 0.13.2

   * LaTeX 2000/06/01

   * Omega 1.11

   * pdfTeX 0.14f

Setup Wizard Changes
--------------------

   * You can specify the order by which the TEXMF root directories are
     searched.

   * The MiKTeX bin directory is added to the `PATH' environment
     variable.

File Searching Changes
----------------------

   * It is now possible to place the local root directory (usually
     `C:\Local TeXMF') in the front of the search path.

   * On-the-fly generated files (e.g. PK fonts) are automatically added
     to the file name database.

TeX Compiler Changes
--------------------

New Options
...........

   * `--include-directory=DIR' prepends DIR to the search path.

   * `--output-directory=DIR' sets the destination directory for all
     output files.

   * `--enable-write18' enables the `\write18' primitive (see below).

   * `\write18' primitive: starts a command interpreter to carry out
     the specified command

New Features
............

   * TeX automatically renews the format file, if it is unacceptable.
     This should eliminate the `(Fatal format file error; I'm stymied)'
     problem.

Texify Changes
--------------

   * New option `--max-iterations=N' limits the number of iterations.
     This prevents endless processing.  The default for N is 5.

Yap Changes
-----------

   * New button `Double-Page' to turn on double-page view (view two
     pages side-by-side).

   * Yap supports EEPIC drawing primitives (also known as _tpic_
     specials).

   * Presentation (full-screen) mode.

MiKTeX 1.20e (December 1999)
****************************

Updated Packages
----------------

   * Dvipdfm 0.12.6e; now includes the utility `dvipdft' (imbed
     thumbnail images).

   * Texinfo 4.0

   * LaTeX <1999/06/01>, Babel v3.6z, Hyperref v6.67e

   * AMS-LaTeX v2

   * pdfTeX 0.14d

   * FreeType 1.3 utilities: `getafm', `ttf2pfb', `ttf2pk', `ttf2tfm'

New Features
------------

   * TeX: the TeX compiler accepts fully qualified file names with
     spaces, i.e. it's now possible to say something like: `latex
     "C:\My Thesis\Thesis.tex"'.

   * TeX: new option `--interaction=MODE': sets TeX's interaction mode
     (one of: `batchmode', `nonstopmode', `scrollmode',
     `errorstopmode').

   * TeX: new option `--quiet': suppresses output unless there are
     errors (implies `--c-style-errors').

   * Yap: two new toolbar buttons to control color interpolation of
     text.

   * Yap: emTeX line specials are now supported.

   * TeXify: new option `--run-viewer': invokes a viewer on the
     resulting `.pdf'/`.dvi' file. This option (and some Registry
     wizardry) makes it possible to associate `.tex' files with a
     viewer, i.e. double-clicking a `.tex' file opens the resulting
     `.pdf'/`.dvi' file.

   * TeXify: new option `--viewer-option=OPTION': can be used to pass
     OPTION to the viewer.

   * TeXify: new option `--mkidx-option=OPTION': can be used to pass
     OPTION to the index generator. Useful if one wants to specify
     MakeIndex style files.

   * TeXify: new option `--tex-option=OPTION': can be used to pass
     OPTION to the (La)TeX compiler.

   * METAFONT: new option `--screen': enables METAFONT's online display
     (thanks to Wolfgang Kleinschmit who supplied the patches).

Anti Features
-------------

   * TtH has been removed from the MiKTeX distribution due to license
     problems (TtH is not free software).

MiKTeX 1.20d (August 1999)
**************************

Updated Packages
----------------

   * Dvips 5.86 (now includes a Windows help file)

   * Texinfo 3.12p (now includes the `texi2dvi' utility)

New: `texify'
.............

   `texify' is a new command-line utility that simplifies the
production of DVI (PDF) documents.  `texify' automatically runs LaTeX
(pdfLaTeX), Makeindex and BibTeX as many times as necessary to produce
a DVI (PDF) file with sorted indices and all cross-references resolved.

   `texify' imitates the shell script `texi2dvi' (written by Noah
Friedman), which is a part of the GNU Texinfo distribution.

New: `hbf2gf'
-------------

   `hbf2gf' (by Werner Lemberg) is intended to convert Hanzi Bitmap
Fonts (HBF) into TeX generic font files (`GF' files).  MakePK has been
updated to make use of `hbf2gf'.

Resolved Problems
-----------------

General
.......

   * MiKTeX doesn't search the local TEXMF tree, when it is a sub-folder
     of the installation TEXMF tree.

Setup Wizard
............

   * The path to the installation folder must not contain spaces.

MiKTeX 1.20c (July 1999)
************************

Updated Packages
----------------

   * The TEXMF tree is a subset of the teTeX 1.0 TEXMF tree

   * TtH 2.25

   * Yap 0.96

New Features
------------

   * Yap now supports color (a la Dvips) with the exception of
     background colors for whole pages. Say `yap colordemo' to view a
     demo.

Resolved Problems
-----------------

IniTeXMF
........

   * Using options `--mkpsres' and `--update-fndb' simultaneously
     doesn't work (`texmf0.fndb: Permission denied').

Yap
...

   * Yap shows blank pages if the the document is recompiled in the
     background.

   * Displaying a GIF (PCX/PNG/TIFF) image causes Yap to hang on
     Windows 9x.  [ Inclusion of these image types should work now. Say
     `yap tifdemo' to view a demo. ]

MiKTeX 1.20b (May 1999)
***********************

Updated Packages
----------------

   * The MiKTeX TEXMF tree is a subset of the teTeX TEXMF tree as per
     05/10/99.

New Features
------------

   * It is now possible to run the Setup Wizard in unattended mode
     (command-line option -unattended). Setup options can be specified
     on the command-line or in a text file. See the Local Guide for
     more information.

   * Yap checks to see whether it is the default DVI viewer.

Resolved Problems
-----------------

   * Some apps didn't run under Windows 2000.

   * `initexmf --dump=elatex' didn't run in extended mode.

MiKTeX 1.20a (April 1999)
*************************

   The source archives (`source*.zip') were removed from the normal
distribution.  They are now in the CTAN directory
`systems/win32/miktex/source'.

Updated Apps
------------

   * pdfTeX 0.13d

   * Dvipdfm 0.10.5

   * Babel 3.6m

New Apps
--------

   * URW PostScript fonts; these are free replacements for the standard
     Adobe fonts.

Resolved Problems
-----------------

   * Hyphenation bug

MiKTeX 1.20 (April 1999)
************************

New Installation Method
-----------------------

   MiKTeX is now (again) distributed as set of Zip files.  The new Setup
Wizard replaces the InstallSHIELD(R) setup program.

Updated Apps
------------

   * MetaPost 0.641

   * Dvipdfm 0.10.4

   * pdfTeX 0.13c

   * Omega 1.8

   * LaTeX2e 1998/12/01

New Apps
--------

   * e-TeX 2.1

   * LH fonts 3.20

New Features
------------

   * Yap
        - now supports basic HyperTeX specials; see
          `doc\miktex\hyperdemo.dvi' for an example.

        - Yap now uses a search path to locate DVI input files.

        - new option `--goto-hyper-label=NAME' causes Yap to go to a
          hyper label.

   * TeX & friends:
        - memory settings are now format dependend, i.e. it's possible
          to reserve extra memory for (say) context

        - filenames are now logged in their absolute form

        - new option `--job-name' can be used to redefine the name of
          the job; in the end, this option will set the name of the
          output file to the name specified

        - new option `--job-time' can be used to redefine the time of
          the job; in the end, this option will set the timestamp of
          all output files to the specified time

        - new option `--tcx' causes TeX to read the input encoding from
          a `.tcx' file

        - the first input line is now checked for a dump/tcx
          specification; i.e. TeX loads the dump file `foo.fmt' and
          processes the TCX `bar.tcx', if the first input line is
          `%&foo -translate-file=bar'

        - new option `--undump' causes TeX to load a specific dump file

        - the exe name now determines the default dump file that is to
          be loaded by TeX; for example, you can copy `tex.exe' to
          `texinfo.exe'; TeX will then load `texinfo.fmt', if no other
          dump was specified

   * trace output can be redirected to a file

MiKTeX 1.11 (August 1998, February 1999)
****************************************

Highlights
----------

   * New setup utility (InstallShield)

   * Several distribution types

   * Uninstall support

   * Support for a local TEXMF tree

   * Previewer improvements:

        - Support for BMP/EPS graphics inclusions

        - Magnifying glass (variable magnification)

        - Support for Dvips (PostScript) specials

        - Support for virtual fonts

        - Support for Type 1 outline fonts (via `ps2pk')

        - Omega-generated DVI can be processed

        - Dvips/GhostScript interface for printing purposes

        - Some command keys accept a numerical prefix argument (for
          example, `9g' opens TeX page 9)

   * Omega 1.5

   * pdfTeX 0.12r

Distributions
-------------

   MiKTeX is now distributed in the form of four independent
self-extracting setup utilities:

`bare.exe'
     The bare distribution includes executables only.  It is suited for
     sites that already have a comprehensive TEXMF tree (e.g. a
     TeXLive3 CDROM).

`basic.exe'
     The basic distribution includes fundamental applications and macro
     packages.

`advanced.exe'
     The advanced distribution includes the basic distribution plus the
     following components:

        * pdfTeX 0.12l

        * Computer Modern PostScript Fonts

        * AMS-Fonts PostScript Fonts

`complete.exe'
     The complete distribution includes the advanced distribution plus
     the following components:

        * Omega 1.5

        * MetaPost 0.632

        * Texinfo macros and Makeinfo

        * Web System (Tangle, Weave, Tie)

Resolved Problems
-----------------

   * `initexmf --dump': specifying an unknown program causes a GPF.

   * Yap displays smeared characters under certain conditions.

   * Yap doesn't print rules under certain conditions.

   * TeX: Danish hyphenation patterns don't work together with LaTeX2e.

   * TeX: `--c-style-errors' sometimes produces funny error messages.

   * TeX: The error menu option `E' (start editor) does not work if the
     erroneous source file is not located in the current directory.

   * TeX says `TeX capacity exceeded, sorry [buffer size=20000]' while
     processing a document that comes from a MacOS system.

YAP 0.94v
---------

   * Support for graphics inclusions has been added.  GhostScript is
     required for the display/printing of EPS figures.

   * YAP now understands basic dvips (PostScript) specials.

   * YAP can process virtual fonts: it's now possible to use PostScript
     Type 1 fonts (via `ps2pk', see below).

   * Dvips/GhostScript interface (for printing purposes).

   * Customizable magnifying glasses.

   * Some command keys accept a numerical prefix argument.

   * Yap records events in a logbook (`View|Logbook...').

   * A double-click now initiates inverse DVI search:

       1. The TeX source file will be opened with an editor (e.g.
          Emacs, WinEdt).

       2. Inside the editor window, the caret is positioned at the
          corresponding text location.

     The DVI file must contain source file information, which can be
     inserted with the new TeX option `--src-specials'.

Hyphenation Patterns
--------------------

   Plain TeX only loads the the standard hyphenation patterns
(`hyphen.tex'), i.e. it does not consult `language.dat'.

initexmf (fka configure)
------------------------

   * The MiKTeX configuration utility moved to the bin directory.
     Besides that, the executable was renamed in `initexmf.exe'
     (formerly `configure.exe').

   * New options:

    `--find-lambda-input'
    `--find-latex-input'
    `--find-metafont-input'
    `--find-metapost-input'
    `--find-omega-input'
    `--find-pdflatex-input'
    `--find-pdftex-input'
    `--find-tex-input'
          Find various input files. These options were introduced to
          test the find-file machinery.

    `--mkpsres'
          Update the PS Resource Database (`psres.dpr').

    `--local-root'
          Define the location of the local TEXMF tree.

    `--report'
          Show a configuration report.

makepk (aka MakeTeXPK)
----------------------

   * `makepk' now invokes `ps2pk' when a Type 1 outline font is
     available.

   * `makepk' now invokes `ttf2pk' when a TrueType font is available.

TeX (and also pdfTeX)
.....................

   * New option `--src-specials' causes TeX to insert source file
     information (a.k.a. source specials) into the DVI file. Source file
     information improves Editor/Previewer interaction.

   * TeX can read compressed input files, i.e. it's now possible to say
     `\input foo.tex.gz'.

   * New option `--try-gz' causes TeX to try `file.tex.gz' if
     `file.tex' cannot be found.

   * New option `--term=oem' causes TeX to use the DOS code page for
     console output.

Dvips
-----

   * Compressed EPS figures are searched by means of the
     find-file-machinery.

New Applications
----------------

   * dvipdfm 0.9.5, a DVI-to-PDF converter developed by Mark A. Wicks.

   * `ps2pk' converts Type 1 outline fonts into PK files.  This utility
     is used by `makepk'.

   * `gif2png' converts GIF files into PNG files.

   * ttf2pk, ttf2tfm: these programs make TrueType fonts  usable  with
     TeX.  Developed by Frederic Loyer and Werner Lemberg.

Updated
-------

   * dvips 5.83

   * Omega 1.5; now with some documentation in `c:\texmf\doc\omega'.

   * pdfTeX 0.12r; now with some documentation in `c:\texmf\doc\pdftex'.

MiKTeX 1.10b (March 1998)
*************************

Resolved Problems
-----------------

   * `YAP --single-instance' causes a GPF.

MiKTeX 1.10a (February 1998)
****************************

Resolved Problems
-----------------

   * On some Win95 boxes: YAP displays text lines upside down.

   * YAP reports `MF mode / printer resolution mismatch' if printer
     resoultion is different from 600 dpi.

   * YAP forgets the paper size info (i.e. always starts with A4).

   * YAP consumes too much GDI resources during the run.

MiKTeX 1.10 (February 1998)
***************************

Hightlights
-----------

   * YAP improvements (see below)

   * TeX memory parameters can be changed at run-time

   * Omega 1.47

Resolved Problems
-----------------

   * If you use virtual fonts (which is necessary for languages like
     Czech), pdfTeX says `"checksum missmatch in font xxx.vf was
     ignored"' on every font and `"character width missmatch in font
     xxx.vf was ignored"' on every character in the font.

   * `makempx' fails to create an mpx file, if the corresponding source
     file resides in the TEXMF tree (and not in the current directory).

   * `makempx' ignores environment variable `TEX'.

New Applications
----------------

   * `makebase', `makemem': Make METAFONT (MetaPost) base (mem) files.

   * Omega 1.47 (experimental version).  See `http://www.ens.fr/omega'
     for more information.

YAP
---

   * The METAFONT mode selection has been simplified.

   * Gray-scaled character bitmaps make it easier to read shrinked text.

   * YAP now supports so called source specials, which is a prerequisite
     for forward/inverse DVI search.

   * New command lines switch `-1' forces YAP to use a single
     application window.

   * _Sticky Cursor_ (a.k.a. "the hand tool") allows you to scroll pages
     by moving the mouse cursor.

   * Context-sensitive help.

   * New toolbar icons for easier navigation.

dvips
-----

   * Updated (5.76)

configure
---------

   * The master configuration file has a new name: `miktex.ini' (was
     `miktex.environment').

   * Configuration parameters are no longer stored in the Windows
     Registry.

   * New option `--dump' causes configure to create new format files,
     base files, etc.

INITEX, INIPDFTEX ...
---------------------

   * INITEX and VIRTEX have been merged into one program (`tex.exe').
     You invoke INITEX by specifying `--ini' as the first option on the
     command line.  The same applies to INIPDFTEX, INIMF and INIMP.

TeX, pdfTeX, Omega
------------------

   * TeX now pays attention to the environment variable `TEXINPUTS'.

   * Many memory-related parameters (such as `mem_max', `buf_size',
     ...) can be changed at run-time.  See `miktex.ini' for details.

   * Improved error handling:
        - `--c-style': This option causes TeX to show C-style error
          messages (e.g.  `"foo.tex:9: undefined control sequence"');
          implies `\scrollmode'.

        - You can cause TeX to start a text editor by typing <e> in the
          error menu.  See `miktex.ini' for details.

Makeinfo
--------

   * A special version of GNU Makeinfo converts Texinfo documents into
     HTML and RTF (Windows Help).  For more information, see
     `http://www.snafu.de/~cschenk/makeinfo'.

makepk (a.k.a. MakTeXPK)
------------------------

   * Improved argument checking.

MiKTeX 1.09 (October 1997)
**************************

Resolved Problems
-----------------

   * Bibtex8 announces a duplicate bibstyle line when the first and only
     one is encountered.

   * YAP miscalculates the left and top margins of the printable area.

   * When you use a `btex ...some tex stuff... etex' construction to
     create a label, MiKTeX complains that it can't create an `.mpx'
     file.

New Applications
----------------

   * PostScript versions of Computer Moden Fonts / AMSFonts

   * pdfTeX

MiKTeX 1.08 (August 1997)
*************************

New Features
------------

   * MiKTeX supports multiple TEXMF directory trees.  This feature
     allows you to make use of an existing comprehensive TEXMF tree
     (such as a shared teTeX installation).

   * Support of UNC file names.  It should now be possible to do without
     a drive letter when you setup a shared MiKTeX installation.

   * Certain internal TeX parameters have been increased.

   * MakeTeX{PK,TFM} now determines the standard destination directory.
     (In the past, all generated fonts ended up in a temporary
     directory tree.) Please note that the new method is not compatible
     with DviWin, which cannot search recursively for PK files.  You
     can restore the old method by changing back the value `PK Temp
     Dir'.

   * MakeIndex searches recursively for style files.

   * It is possible to define per-user configuration settings (via
     `configure --personal CFGFILE').  See the Local Guide, for more
     information.

New Applications
----------------

   * Modified version of GNU Makeinfo which converts Texinfo docs into
     RTF.  You can use this utility to make WinHelp files from Texinfo
     docs.

   * 8-bit enhanced version of BibTeX with extra large processing
     capacity.  Executable is named `bibtex8.exe'.  Documentation is in
     `doc\bibtex8'.

   * MakeTeXFMT makes a new format file and moves it into the format
     folder.

Upated
------

   * dvips 5.74

   * MetaPost 0.632

   * LaTeX June'97

Resolved Problems
-----------------

   * TeX capacity exceeded.

   * On-the-fly generation of fonts fails, if the font sources are
     placed in the current directory.

MiKTeX 1.07 (February 1997)
***************************

Resolved Problems
-----------------

   * dvips: cannot download `.pfb' files.

   * dvips: complains that `The filename, directory name, or volume
     label syntax is incorrect.' before doing its job.

   * dvicopy: sometimes causes a general protection fault.

   * MakeTeXPK/METAFONT/ec-fonts: `.600gf' files are created even if a
     non-600dpi mode was specified

Anti-Features
-------------

   * Removed DC-fonts from the distribution.

MiKTeX 1.06 (January 1997)
**************************

New Features
------------

   * MetaPost

   * Standard LaTeX packages: AMS-LaTeX, psnfss, ...

   * psutils: psbook, psselect, pstops, epsffit, psnup, psresize

   * AMS-Fonts

   * DVIcopy

   * EC-Fonts 1.0

   * DVIPS: supports emTeX specias

Anti-Features
-------------

   * The distribution comes without printer PK files.

Improvements
------------

   * TeX runs much faster now.

   * MiKTeX uses a filename database for fast file access.

Updated
-------

   * LaTeX Dec'96

   * dvips 5.66

   * DC-Fonts 1.3

Resolved Problems
-----------------

   * BibTeX: causes a GPF if the main LaTeX file `\include''s someting.

   * BibTeX: says `Sorry---you've exceeded BibTeX's buffer size 1000' if
     the last input line is not terminated by a newline character

   * dvips: DVIPS fails to find the EPS file if the full path is given
     in the LaTeX `\epsfile' command argument.

   * LaTeX: `\' is not accepted as a directory delimiter (on the
     command line).

MiKTeX 1.05 (May 1996)
**********************

New Features
------------

   * Installation Utility

   * BibTeX

   * YAP (Yet Another Previewer)

   * Local guide

Updated
-------

   * LaTeX Nov'95

   * DC Fonts 1.2

Resolved Problems
-----------------

   * TeX: `\' is not accepted as a directory delimiter (on the command
     line).

   * (La)TeX: `foo.bar.tex' is converted into `foo.dvi' (instead of
     `foo.bar.dvi').

   * dvips: hangs when the font source file for a missing PK font does
     not exist.

   * dvips: dynamic creation of PostScript graphic files is not
     possible.

